Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Class InviteeFactory

    java.lang.Object
      com.bea.netuix.application.communities.invitations.InviteeFactory

    public class InviteeFactory

extends Object

Factory for creating new instances of `Invitee` objects.

For more information see the discussion of invitations or the overview of community functionality.

Constructor Summary
`InviteeFactory()`

Method Summary
`static Invitee` | `newInvitee(String wlsUserName, MessagingAddress messagingAddress)` Creates a new `Invitee` object using the supplied WLS username and messaging address
`static Invitee` | `newInvitee(String wlsUserName, MessagingAddress messagingAddress, Collection<MembershipCapability> capabilities)` Creates a new `Invitee` object using the supplied WLS username, messaging address and collection of desired `MembershipCapabilities`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InviteeFactory

    public InviteeFactory()

Method Detail

### newInvitee

    public static Invitee newInvitee(String wlsUserName,
                                     MessagingAddress messagingAddress,
                                     Collection<MembershipCapability> capabilities)

  Creates a new `Invitee` object using the supplied WLS username, messaging address and collection of desired `MembershipCapabilities`.

  Parameters
    `wlsUserName` - the WLS user to invite, if known. Either this or messagingAddress must be non-null
    `messagingAddress` - the messaging address to send the invitation to, generally used if the `Invitee` is not yet a WLS user.
    `capabilities` - the `MembershipCapabilities` that `Invitee` should receive upon accepting the `Invitation`.
  Returns
    An Invitee object with the appropriate values

### newInvitee

    public static Invitee newInvitee(String wlsUserName,
                                     MessagingAddress messagingAddress)

  Creates a new `Invitee` object using the supplied WLS username and messaging address

  Parameters
    `wlsUserName` - the WLS user to invite, if known. Either this or messagingAddress must be non-null
    `messagingAddress` - the messaging address to send the invitation to, generally used if the `Invitee` is not yet a WLS user
  Returns
    An Invitee object with the appropriate values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.